Subject: Re: bug#43715: 28.0.50; Duplicate results in project-find-regexp

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 01 Oct 2020 23:38:50 +0200

Dmitry Gutov <[email-masked]> writes:

> On 01.10.2020 23:39, Lars Ingebrigtsen wrote:
>>>> Right.  I know next to nothing about xref internals...  but...
>>>> couldn't
>>>> this function just squash the multiple-matches-on-a-single-line into one
>>>> line?  Preserving the text props from the multiple lines and whatnot?
>>>> So a post-processing step?
>>> Which function?
>> `project-find-regexp'
>
> Then I'm not sure which eventual behavior you envision. Among other
> things, it doesn't answer the question I asked in the second paragraph
> of my previous email.

This one?

> Going back to xref buffers, if two matches are rendered on one line,
> that leads to a question of how 'n' and 'p' should behave (whether
> they would also jump between the matches on the same line).

I have no idea; I've never used those commands.

I'd just expect project-find-regexp to work as M-x grep, and have
`next-error' work (which works based on lines).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no